<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AssignmentRule extends Model
{
    protected $fillable = [
        'tenant_id',
        'service_id',
        'assignment_method',
        'target_role_id',
        'target_department_id',
    ];

    public function service()
    {
        return $this->belongsTo(Service::class);
    }
}
